com.verisign.epp.codec.registry.v02

## Class EPPRegistryServicesExt

- java.lang.Object
- - com.verisign.epp.codec.registry.v02.EPPRegistryServicesExt

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPRegistryServicesExt
      extends java.lang.Object
      implements EPPCodecComponent

  Class that represents the "registry:svcExtension" element that contains a list of extension namespace URIs.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `EPPRegistryServicesExt.EPPRegistryExtURI` Extension service URI that includes the URI value and a "required" attribute that indicates whether use of the extension service is required.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` XML local name for `EPPRegistryServicesExt`.
    `static java.lang.String` | `ELM_NAME` XML root tag for `EPPRegistryServicesExt`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPRegistryServicesExt()` Default constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addExtURI(EPPRegistryServicesExt.EPPRegistryExtURI aURI)` Adds an extension namespace URI to the list.
    `java.lang.Object` | `clone()` Clone `EPPRegistryServicesExt`.
    `void` | `decode(org.w3c.dom.Element aElement)` Decode the `EPPRegistryServicesExt` attributes from the aElement DOM Element tree.
    `org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPRegistryServicesExt` instance.
    `boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPRegistryServicesExt` compare.
    `java.util.List` | `getExtURIs()` Gets the extension namespace URIs.
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent`.
    `void` | `setExtURIs(java.util.List aExtURIs)` Sets the extension namespace URIs.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPRegistryServicesExt`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPRegistryServicesExt`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPRegistryServicesExt

          public EPPRegistryServicesExt()

      Default constructor. At least one extension namespace URI must be defined prior to calling `encode(Document)`.

  - ### Method Detail

    - #### encode

          public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPRegistryServicesExt` instance.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the `EPPRegistryServicesExt` instance.
      Throws:
        `EPPEncodeException` - - Unable to encode `EPPRegistryServices` instance.

    - #### decode

          public void decode(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode the `EPPRegistryServicesExt` attributes from the aElement DOM Element tree.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPRegistryServicesExt` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPRegistryServicesExt`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of `EPPRegistryServicesExt`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### equals

          public boolean equals(java.lang.Object aObject)

      implements a deep `EPPRegistryServicesExt` compare.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - `EPPRegistryServicesExt` instance to compare with
      Returns:
        `true` if this object is the same as the aObject argument; `false` otherwise

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### getExtURIs

          public java.util.List getExtURIs()

      Gets the extension namespace URIs.
      Returns:
        `List` of `EPPRegistryServicesExt.EPPRegistryExtURI` instances containing the extension namespace URIs.

    - #### setExtURIs

          public void setExtURIs(java.util.List aExtURIs)

      Sets the extension namespace URIs.
      Parameters:
        `aExtURIs` - `List` of `EPPRegistryServicesExt.EPPRegistryExtURI` instances containing the extension namespace URIs.

    - #### addExtURI

          public void addExtURI(EPPRegistryServicesExt.EPPRegistryExtURI aURI)

      Adds an extension namespace URI to the list.
      Parameters:
        `aURI` - Extension namespace URI to add to the list.

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.

Copyright © VeriSign Inc. All Rights Reserved.